.item__cards-container{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: center;
    gap: 1rem;
}

.item__card-wrapper{
    perspective: 1000px;
    -webkit-perspective: 1000px;
    perspective-origin: center center;
    -webkit-perspective-origin: center center;
    min-height: 160px;
    height: 100%;
}

.item__card{
    min-height: 160px;
    height: 100%;
    position: relative;
    transform-style: preserve-3d;
    -webkit-transform-style: preserve-3d;
    transition: transform 0.3s ease-in-out;
    -webkit-transition: -webkit-transform 0.3s ease-in-out;
    transform: rotateX(180deg) scale(0.6);
    -webkit-transform: rotateX(180deg) scale(0.6);
    will-change: transform;
    flex: 1;
    border-radius: 0.5rem;
}

.item__card.flipped{
    transform: rotateX(0deg) scale(1);
    -webkit-transform: rotateX(0deg) scale(1);
}

.item__card-face{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    -webkit-backface-visibility: hidden;
    border-radius: 0.5rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.item__card-back{
    background-color: var(--color-white);
    transform: rotateX(180deg);
    -webkit-transform: rotateX(180deg);
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1), inset 0 0 0 5px var(--color-grey-500);
}

.item__card--red .item__card-back{
    background-color: var(--color-red-500);
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1), inset 0 0 0 5px var(--color-red-600);
}

.item__card--green .item__card-back{
    background-color: var(--color-green-500);
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1), inset 0 0 0 5px var(--color-green-600);
}

.item__card--purple .item__card-back{
    background-color: var(--color-purple-500);
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1), inset 0 0 0 5px var(--color-purple-600);
}

.item__card--blue .item__card-back{
    background-color: var(--color-blue-500);
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1), inset 0 0 0 5px var(--color-blue-600);
}

.item__card--orange .item__card-back{
    background-color: var(--color-orange-500);
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1), inset 0 0 0 5px var(--color-orange-600);
}


.item__card-value{
    font-size: 4rem;
    font-weight: bold;
    color: var(--color-white);
    text-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}

.item__card-front{
    background-color: var(--color-white);
    transform: rotateX(0deg);
    -webkit-transform: rotateX(0deg);
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1), inset 0 0 0 5px var(--color-grey-500);
    justify-content: flex-start;
}

.item__card--red .item__card-front{
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1), inset 0 0 0 5px var(--color-red-500);
}

.item__card--green .item__card-front{
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1), inset 0 0 0 5px var(--color-green-500);
}

.item__card--purple .item__card-front{
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1), inset 0 0 0 5px var(--color-purple-500);
}

.item__card--blue .item__card-front{
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1), inset 0 0 0 5px var(--color-blue-500);
}

.item__card--orange .item__card-front{
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1), inset 0 0 0 5px var(--color-orange-500);
}

.item__card-visual{
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: space-between;
    gap: 1rem;
}

.item__card-type{
   width: auto;
   background-color: var(--color-grey-500);
   color: var(--color-white);
   padding:2px 18px 2px 10px;
   border-radius: 0 0 100px 0;
}

.item__card--red .item__card-type{
    background-color: var(--color-red-500);
}

.item__card--green .item__card-type{
    background-color: var(--color-green-500);
}

.item__card--purple .item__card-type{
    background-color: var(--color-purple-500);
}

.item__card--blue .item__card-type{
    background-color: var(--color-blue-500);
}

.item__card--orange .item__card-type{
    background-color: var(--color-orange-500);
}

.item__card-content{
    width: 100%;
    padding: 0 10px 10px;
    flex: 1;
    display: flex;
    align-items: center;
}

.item__card-text{
    line-height: 1.45;
}
